Package uk.ac.starlink.datanode.nodes

# Class CompressedDataNode

java.lang.Object
uk.ac.starlink.datanode.nodes.DefaultDataNode
uk.ac.starlink.datanode.nodes.CompressedDataNode

All Implemented Interfaces:
  `DataNode`

public class CompressedDataNode extends DefaultDataNode
Generic data node representing a stream of data compressed according to a known compression technique.

## Constructor Summary

Constructors
Constructor
Description
`CompressedDataNode(uk.ac.starlink.util.DataSource datsrc)`

## Method Summary

Modifier and Type
Method
Description
`void`
`configureDetail(DetailViewer dv)`
No custom configuration is performed.
`String`
`getDescription()`
Gets a concise description of this object.
`String`
`getName()`
Gets the name of this object.
`String`
`getNodeTLA()`
The `DefaultDataNode` implementation returns the string "...".
`String`
`getNodeType()`
Returns a short sentence indicating what kind of node this is.
`String`
`getPathElement()`
The `DefaultDataNode` implementation returns the label as a default path element.

### Methods inherited from class uk.ac.starlink.datanode.nodes.DefaultDataNode

`allowsChildren, beep, getChildIterator, getChildMaker, getCreator, getDataObject, getIcon, getLabel, getParentObject, getPathSeparator, hasDataObject, makeChild, makeErrorChild, registerDataObject, setChildMaker, setCreator, setDescription, setIconID, setLabel, setName, setParentObject, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CompressedDataNode

public CompressedDataNode(uk.ac.starlink.util.DataSource datsrc) throws NoSuchDataException

Throws:
  `NoSuchDataException`

## Method Details

### getName

public String getName()
Description copied from interface: `DataNode`
Gets the name of this object. This is an intrinsic property of the object.

Specified by:
  `getName` in interface `DataNode`
Overrides:
  `getName` in class `DefaultDataNode`
Returns:
  the name of the object

### getDescription

public String getDescription()
Description copied from interface: `DataNode`
Gets a concise description of this object. The form of the description will depend on the type of node, but it might detail the shape or type of data represented, or otherwise give some information additional to the name. It should not include the return value of the `getName` method, since they may be presented together. It should be on one line, and preferably no longer than around 70 characters. The `null` value may be returned if there is nothing to say.

Specified by:
  `getDescription` in interface `DataNode`
Overrides:
  `getDescription` in class `DefaultDataNode`
Returns:
  a short string describing this object

### getNodeTLA

public String getNodeTLA()
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns the string "...".

Specified by:
  `getNodeTLA` in interface `DataNode`
Overrides:
  `getNodeTLA` in class `DefaultDataNode`
Returns:
  "..."

### getNodeType

public String getNodeType()
Description copied from interface: `DataNode`
Returns a short sentence indicating what kind of node this is. The return value should be just a few words. As a rough guideline it should indicate what the implementing class is.

Specified by:
  `getNodeType` in interface `DataNode`
Overrides:
  `getNodeType` in class `DefaultDataNode`
Returns:
  a short description of the type of this `DataNode`

### getPathElement

public String getPathElement()
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns the label as a default path element.

Specified by:
  `getPathElement` in interface `DataNode`
Overrides:
  `getPathElement` in class `DefaultDataNode`
Returns:
  the node's label

### configureDetail

public void configureDetail(DetailViewer dv)
Description copied from class: `DefaultDataNode`
No custom configuration is performed.

Specified by:
  `configureDetail` in interface `DataNode`
Overrides:
  `configureDetail` in class `DefaultDataNode`
Parameters:
  `dv` - the detail viewer which this node is given an opportunity to configure